Subject: Re: [X2Go-Dev] Bug#1072: Bug#1072: X2Go Client: top 24 pixels in fullscreen session do not respond to mouse clicks

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 9 Feb 2021 17:50:59 +0100

How are you switching to fullscreen? In the default keyboard configuration
there's ctrl+alt+f and ctrl+alt+Shift+f. Can you please check if that
problem show with both. Also note the nxagent 3.5-99.25 is buggy regarding
full screen, so maybe you should try updating tie the freshly released
3.5.99.26.

Uli

Sylvain Cuaz <[email-masked]> schrieb am Di., 9. Feb. 2021,
17:31:

> Le 09/02/2021 à 17:03, Ulrich Sibiller a écrit :
> > can you please post a screenshot of that situation where it does not
> > work? I don't really get what you mean by "If I put both my local
> > gnome panel and the remote XFCE panel at the top".
>
> I mean on my local session (where I launch x2go client), I have a gnome
> panel at the top of my
> screen (the default)
>
>
> https://simple.wikipedia.org/wiki/Ubuntu#/media/File:Ubuntu_20.10_Groovy_Gorilla_Desktop.png
>
> Then I launch x2go client and switch to full screen.
>
> https://i.stack.imgur.com/jaK2z.png
>
> The top pixels in the remote session inside x2go cannot be interacted
> with. Presumably because even
> though I can't see any pixels of my local gnome session, the clicks inside
> x2go aren't grabbed by
> x2go but rather by my local session. I.e. I cannot click on the
> application menu nor switch windows
> using the top panel. This a full screen bug, in windowed mode, the remote
> XFCE panel can be clicked.
>
>
> If on the other hand there's no gnome panel underneath the full screen
> x2go (e.g. my local gnome
> panel is on my right screen, my remote XFCE panel is on the left screen)
> then I can interact fine.
>
> Or I as said if my local desktop environment is XFCE then it always work
> no matter where are any panels.
>
> HTH
>
>